summaryrefslogtreecommitdiff
path: root/run-ci
diff options
context:
space:
mode:
authorDerick Montague <derick.montague@ibm.com>2021-03-17 05:11:26 +0300
committerDerick Montague <derick.montague@ibm.com>2021-05-18 16:36:41 +0300
commit9b27bc0863022765df696daf34c2f285619147ec (patch)
treeb9ebe21b8bb63916b7e307bcbf31a1878ee06aaa /run-ci
parentc237e3081f15522ba12b40d3b662f7f6f2c9dc7f (diff)
downloadwebui-vue-9b27bc0863022765df696daf34c2f285619147ec.tar.xz
Add run-ci shell script
The GUI has a set of unit tests that are currrently only being run using a pre-comit hook. This hook can be overridden and we would like to have the unit tests run during the CI build to assure that the GUI unit tests are passing. Adding this shell script so that we can run any GUI unit tests during the CI build. Signed-off-by: Derick Montague <derick.montague@ibm.com> Change-Id: I1b62f47fb05d4f36796c5cdb4e7529b1f3afd0d5
Diffstat (limited to 'run-ci')
-rwxr-xr-xrun-ci15
1 files changed, 15 insertions, 0 deletions
diff --git a/run-ci b/run-ci
new file mode 100755
index 00000000..1cade53e
--- /dev/null
+++ b/run-ci
@@ -0,0 +1,15 @@
+#!/bin/bash
+# Run GUI Unit Tests as part of the CI Build process#
+
+set -e
+
+# When called from openbmc-build-scripts, the `pwd` could be anywhere, but
+# the root of the repo is passed in the first argument. Switch to the repo
+# root so npm/git run in the right place.
+if [ -n "$1" ]; then
+ cd "$1"
+fi
+
+# It is expected that the format-code script was already run as part of the CI
+# so the node modules needed to run this script will be installed
+npm run test:unit